Commit 86bfc631 authored by Timo Teräs's avatar Timo Teräs

build: openssl seems to require -ldl for now, so add that

parent 5ae0206d
......@@ -58,6 +58,7 @@ CFLAGS_apk-test.o := -DAPK_VERSION=\"$(FULL_VERSION)\" -DOPENSSL_NO_ENGINE -DTES
progs-$(STATIC) += apk.static
apk.static-objs := $(filter-out apk.o,$(apk-objs)) apk-static.o
LDFLAGS_apk.static := -static
LIBS_apk.static := -Wl,--as-needed -ldl -Wl,--no-as-needed
LDFLAGS_apk += -nopie -L$(obj)
LDFLAGS_apk-test += -nopie -L$(obj)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment